from views.mainScreen import MainFrame
from models.data import TextData
class MainFrameController:
    
    def __init__(self,frame:MainFrame) -> None:
        self.frame = frame
        
        
    def get_textdata(self) -> TextData:
        text_data = TextData()
        text_data.url = self.frame.entry_url.get()
        if text_data.text_from_url():
            text_data.text = self.frame.input_textbox.get("0.0", "end")
        
        return text_data
    
    def press_check_button(self):
        text_data = self.get_textdata()
        print(f"text:{text_data.text}")
        
     